org.wildfly.swarm.microprofile.openapi.api.models

## Class OpenAPIImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.OpenAPIImpl

- All Implemented Interfaces:
    ModelImpl

      public class OpenAPIImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `OpenAPI` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenAPIImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenAPI` | `addSecurityRequirement(SecurityRequirement securityRequirement)`
    `OpenAPI` | `addServer(Server server)`
    `OpenAPI` | `addTag(Tag tag)`
    `OpenAPI` | `components(Components components)`
    `OpenAPI` | `externalDocs(ExternalDocumentation externalDocs)`
    `Components` | `getComponents()`
    `ExternalDocumentation` | `getExternalDocs()`
    `Info` | `getInfo()`
    `String` | `getOpenapi()`
    `Paths` | `getPaths()`
    `List<SecurityRequirement>` | `getSecurity()`
    `List<Server>` | `getServers()`
    `List<Tag>` | `getTags()`
    `OpenAPI` | `info(Info info)`
    `OpenAPI` | `openapi(String openapi)`
    `OpenAPI` | `path(String name, PathItem path)`
    `OpenAPI` | `paths(Paths paths)`
    `OpenAPI` | `security(List<SecurityRequirement> security)`
    `OpenAPI` | `servers(List<Server> servers)`
    `void` | `setComponents(Components components)`
    `void` | `setExternalDocs(ExternalDocumentation externalDocs)`
    `void` | `setInfo(Info info)`
    `void` | `setOpenapi(String openapi)`
    `void` | `setPaths(Paths paths)`
    `void` | `setSecurity(List<SecurityRequirement> security)`
    `void` | `setServers(List<Server> servers)`
    `void` | `setTags(List<Tag> tags)`
    `OpenAPI` | `tags(List<Tag> tags)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenAPIImpl

          public OpenAPIImpl()

  - ### Method Detail

    - #### getOpenapi

          public String getOpenapi()

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#getOpenapi()`

    - #### setOpenapi

          public void setOpenapi(String openapi)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#setOpenapi(java.lang.String)`

    - #### openapi

          public OpenAPI openapi(String openapi)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#openapi(java.lang.String)`

    - #### getInfo

          public Info getInfo()

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#getInfo()`

    - #### setInfo

          public void setInfo(Info info)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#setInfo(org.eclipse.microprofile.openapi.models.info.Info)`

    - #### info

          public OpenAPI info(Info info)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#info(org.eclipse.microprofile.openapi.models.info.Info)`

    - #### getExternalDocs

          public ExternalDocumentation getExternalDocs()

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#getExternalDocs()`

    - #### setExternalDocs

          public void setExternalDocs(ExternalDocumentation externalDocs)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#setExternalDocs(org.eclipse.microprofile.openapi.models.ExternalDocumentation)`

    - #### externalDocs

          public OpenAPI externalDocs(ExternalDocumentation externalDocs)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#externalDocs(org.eclipse.microprofile.openapi.models.ExternalDocumentation)`

    - #### getServers

          public List<Server> getServers()

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#getServers()`

    - #### setServers

          public void setServers(List<Server> servers)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#setServers(java.util.List)`

    - #### servers

          public OpenAPI servers(List<Server> servers)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#servers(java.util.List)`

    - #### addServer

          public OpenAPI addServer(Server server)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#addServer(org.eclipse.microprofile.openapi.models.servers.Server)`

    - #### getSecurity

          public List<SecurityRequirement> getSecurity()

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#getSecurity()`

    - #### setSecurity

          public void setSecurity(List<SecurityRequirement> security)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#setSecurity(java.util.List)`

    - #### security

          public OpenAPI security(List<SecurityRequirement> security)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#security(java.util.List)`

    - #### addSecurityRequirement

          public OpenAPI addSecurityRequirement(SecurityRequirement securityRequirement)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#addSecurityRequirement(org.eclipse.microprofile.openapi.models.security.SecurityRequirement)`

    - #### getTags

          public List<Tag> getTags()

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#getTags()`

    - #### setTags

          public void setTags(List<Tag> tags)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#setTags(java.util.List)`

    - #### tags

          public OpenAPI tags(List<Tag> tags)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#tags(java.util.List)`

    - #### addTag

          public OpenAPI addTag(Tag tag)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#addTag(org.eclipse.microprofile.openapi.models.tags.Tag)`

    - #### getPaths

          public Paths getPaths()

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#getPaths()`

    - #### setPaths

          public void setPaths(Paths paths)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#setPaths(org.eclipse.microprofile.openapi.models.Paths)`

    - #### paths

          public OpenAPI paths(Paths paths)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#paths(org.eclipse.microprofile.openapi.models.Paths)`

    - #### path

          public OpenAPI path(String name,
                              PathItem path)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#path(java.lang.String, org.eclipse.microprofile.openapi.models.PathItem)`

    - #### getComponents

          public Components getComponents()

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#getComponents()`

    - #### setComponents

          public void setComponents(Components components)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#setComponents(org.eclipse.microprofile.openapi.models.Components)`

    - #### components

          public OpenAPI components(Components components)

      See Also:
        `org.eclipse.microprofile.openapi.models.OpenAPI#components(org.eclipse.microprofile.openapi.models.Components)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.